Bug 336541 - RHEL5: Add register dump to softlockup warning messages
RHEL5: Add register dump to softlockup warning messages
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks: 1300182
  Show dependency treegraph
 
Reported: 2007-10-17 14:44 EDT by Prarit Bhargava
Modified: 2016-01-20 08:18 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 fix for this issue (5.69 KB, patch)
2007-10-18 08:52 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (6.42 KB, patch)
2007-10-18 10:15 EDT, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (12.69 KB, patch)
2007-10-18 14:34 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Comment 1 Prarit Bhargava 2007-10-18 08:52:11 EDT
Created attachment 231021 [details]
RHEL5 fix for this issue

Backport of patch mentioned in original comment.

RHEL5 still passes pt_regs so I had to modify the call sequence to
softlockup_tick to pass pt_regs.
Comment 2 Prarit Bhargava 2007-10-18 10:15:01 EDT
Created attachment 231081 [details]
RHEL5 fix for this issue

Tested on x86_64, ia64
Comment 3 Prarit Bhargava 2007-10-18 14:34:45 EDT
Created attachment 231371 [details]
RHEL5 fix for this issue

Successfully brew built here:

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=1012242

P.
Comment 4 Prarit Bhargava 2007-10-18 14:35:17 EDT
Oops.  Patch in Comment # was brew built across all RHEL arches.

P.
Comment 5 RHEL Product and Program Management 2007-11-13 15:45:59 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Don Zickus 2007-12-17 14:37:06 EST
in 2.6.18-61.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 errata-xmlrpc 2008-05-21 10:58:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.